Skip to main content
`Ctrl`+`K`

# numpy.polynomial.legendre.legpow

polynomial.legendre.legpow(c, pow, maxpower=16)

  Raise a Legendre series to a power.

  Returns the Legendre series c raised to the power `pow`. The argument c is a sequence of coefficients ordered from low to high. i.e., [1,2,3] is the series `P_0 + 2*P_1 + 3*P_2.`

  Parameters:
    c array_like

      1-D array of Legendre series coefficients ordered from low to high.

    pow integer

      Power to which the series will be raised

    maxpower integer, optional

      Maximum power allowed. This is mainly to limit growth of the series to unmanageable size. Default is 16

  Returns:
    coef ndarray

      Legendre series of power.

  See also

  `legadd`, `legsub`, `legmulx`, `legmul`, `legdiv`